<?php namespace EscapeWork\Manager\Calendars\Commands;

use EscapeWork\Manager\Calendars\Seeds\CalendarsTableSeeder;
use Illuminate\Console\Command;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Input\InputArgument;

class ConfigureCommand extends Command
{

    /**
     * The console command name.
     *
     * @var string
     */
    protected $name = 'manager-calendars:configure';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Migrations, Seeds, plugins e tudo que precisar ser configurado.';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return void
     */
    public function fire()
    {
        $this->comment('--- Configurando escapework/manager-calendars ---');

        # migrations
        $this->comment('Realizando as migrações do escapework/manager-calendars...');
        $this->call('migrate', array('--package' => 'escapework/manager-calendars'));

        # seed
        $this->comment('Fazendo os seeds...');
        $seeder = new CalendarsTableSeeder();
        $seeder->setContainer($this->laravel)->setCommand($this)->run();
        $this->info('escapework/manager-calendars seeded!');

        # asset:publish
        $this->comment('Publicando assets do escapework/manager-calendars...');
        $this->call('asset:publish', array('package' => 'escapework/manager-calendars'));

        $this->comment('--- escapework/manager-calendars configurado ---');
    }

    /**
     * Get the console command arguments.
     *
     * @return array
     */
    protected function getArguments()
    {
        return array();
    }

    /**
     * Get the console command options.
     *
     * @return array
     */
    protected function getOptions()
    {
        return array();
    }

}
