<?php namespace EscapeWork\Manager\Calendars\Extensions;

use Illuminate\Database\Eloquent\Collection;

class CalendarDayCollection extends Collection
{

    public function getFirstDateFormated($format = 'd/m/Y')
    {
        if (count($this->items) == 0) {
            return null;
        }

        return date($format, strtotime($this->items[0]->day));
    }

    public function getLastDateFormated($format = 'd/m/Y')
    {
        if (! $day = $this->last()) {
            return null;
        }

        return date($format, strtotime($day->day));
    }

    public function getDaysFormated()
    {
        if (count($this->items) == 0) {
            return null;
        }

        $listDays = array();
        foreach ($this->items as $item) {
            $date = substr($item->day, 8, 2).'/'.substr($item->day, 5, 2).'/'.substr($item->day, 0, 4);
            $listDays[] = $date;
        }

        return implode(", ", $listDays);
    }
}
