<?php namespace EscapeWork\Manager\Calendars\Repositories\Calendar;

use EscapeWork\Manager\Repositories\BaseEloquentRepository;
use EscapeWork\Manager\Calendars\Models\Calendar;

class EloquentCalendarRepository extends BaseEloquentRepository implements CalendarRepository
{

    /**
     * Valid orderBy fields
     */
    protected $orderByFields = array(
        'id',
        'title',
        'place',
    );

    public function __construct(Calendar $calendar)
    {
        $this->model = $calendar;
    }

    public function filterAndPaginate(array $params = array())
    {
        $query = $this->model->newQuery();

        if (isset($params['title'])) {
            $query->where('title', 'like', '%'.$params['title'].'%');
        }

        $this->configureOrderBy($query, $params);

        return $query->paginate();
    }
}
