<?php namespace EscapeWork\Manager\Calendars\Repositories\CalendarDay;

use EscapeWork\Manager\Repositories\BaseEloquentRepository;
use EscapeWork\Manager\Calendars\Models\CalendarDay;

class EloquentCalendarDayRepository extends BaseEloquentRepository implements CalendarDayRepository
{

    public function __construct(CalendarDay $calendarDay)
    {
        $this->model = $calendarDay;
    }

    /**
     * Inserindo várias datas a partir de um array
     */
    public function insertFromArray($dates)
    {
        foreach ((array) $dates as $date) {
            $calendarDay              = new CalendarDay();
            $calendarDay->calendar_id = $this->calendar_id;
            $calendarDay->day         = $date;

            if ($calendarDay->validate()) {
                $calendarDay->save();
            }
        }
    }

    /**
     * Deletando todas as datas de uma edição
     */
    public function deleteAllFromEdition($calendar_id = null)
    {
        if (! is_null($calendar_id)) {
            $this->calendar_id = $calendar_id;
        }

        return $this->model->where('calendar_id', '=', $this->calendar_id)->delete();
    }
}
