<?php namespace EscapeWork\Manager\Calendars\Seeds;

use EscapeWork\Manager\Models\Page;
use EscapeWork\Manager\Models\PageAction;
use Seeder;
use DateTime;

class CalendarsTableSeeder extends Seeder
{

    public function run()
    {
        # criando a página
        if (! Page::where('slug', '=', 'calendars')->first()) {
            $page = Page::create(array(
                'title'           => 'Calendars',
                'slug'            => 'calendars',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            # criando as actions
            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Listar registros',
                'type'            => 'read',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Inserir registros',
                'type'            => 'create',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Editar registros',
                'type'            => 'update',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Excluir registros',
                'type'            => 'destroy',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));
        }
    }
}